Subject: [midcom] Question on Session Descriptors!

From: "Rahul Gulati" <[email-masked]>
Date: Fri, 13 Dec 2002 10:43:55 +0530

Hi, All,

I have a question on session descriptors.

Refer to RFC 3303 Middlebox communication architecture and framework:
Section 7.2 Page 19

   SIP Phone      SIP Proxy              Middlebox     SIP Phone
      (External)     (MIDCOM agent)         (NAPT         (Private)
      IP Addr:Ea        |                   Service)                IP addr:Pa
      |                       |                   IP addr:Ma               |
      |                       |                                   |              |
      |----INVITE------->|                                   |              |
      |                       |                                   |              |
      |<---100Trying----|                                   |              |
      |                       |                                   |              |
      |                       |++ Query Port-BIND      |              |
      |                       |   for (Ma, 5060) +++>   |              |
      |                       |<+ Port-BIND reply        |              |
      |                       |   for (Ma, 5060) ++++   |              |
      |                       |                                   |              |
      |                       |++ Query NAT Session  |              |
      |                       |   Descriptor for             |              |
      |                       |   Ea-to-Pa SIP flow+>   |              |
      |                       |<+ Ea-to-Pa SIP flow     |              |
      |                       |   Session Descriptor+   |              |
      |                       |                                   |              |

In the example call flow, we query for session descriptors for Ea-to-Pa SIP flow.

1)
When is this session created? 
Since INVITE hasn't been received at the Private SIP phone and we are querying for the session descriptor which has already been created it wud be beneficial if the above  point could be explained?

2)
We also maintain sessions for RTP-RTCP based on parent session as SIP control.What is the relationship between these two sessions?

Is there any section in RFC 3303 which explains the same?

Best Regards'
Rahul

---

From: "Rahul Gulati" <[email-masked]>
Date: Tue, 17 Dec 2002 18:16:04 +0530

Hi,

I am reposting this query as I didnt get response to the previous one.
Would appreciate any help on this.

I have a question on session descriptors:

RFC 3303 Middlebox communication architecture and framework:
Section 7.2 Page 19

 
1)
When is this session descriptor created?
Since INVITE *hasn't* been received at the Private SIP phone and we are querying for the session descriptor which has *already been created* !
 
2)

Best Regards'
Rahul

---

From: "Pyda Srisuresh" <[email-masked]>
Date: Tue, 17 Dec 2002 09:09:10 -0800

Hi Rahul,

Sorry, I didnt respond.
I have been tied up with some personal matters at home.
Will get back to you soon, in 2 days(by 12/18).
Thanks for your understanding.

cheers,
suresh
  -----Original Message-----
  From: Rahul Gulati [mailto:[email-masked]]
  Sent: Tuesday, December 17, 2002 4:46 AM
  To: [email-masked]
  Cc: Jonathan Rosenberg; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]
  Subject: Re: [midcom] Question on Session Descriptors!

  Hi,

        IP Addr:Ea        |                   Service)                IP
addr:Pa
        |                       |                   IP addr:Ma
|
        |                       |                                   |
|
        |----INVITE------->|                                   |
|
        |                       |                                   |
|
        |<---100Trying----|                                   |
|
        |                       |                                   |
|
        |                       |                                   |
|
        |                       |   Descriptor for             |
|
        |                       |                                   |
|

  In the example call flow, we query for session descriptors for Ea-to-Pa
SIP flow.

  1)
  When is this session descriptor created?
  Since INVITE *hasn't* been received at the Private SIP phone and we are
querying for the session descriptor which has *already been created* !

  2)
  We also maintain sessions for RTP-RTCP based on parent session as SIP
control.What is the relationship between these two sessions?

  Best Regards'
  Rahul

---

From: "Pyda Srisuresh" <[email-masked]>
Date: Wed, 18 Dec 2002 17:02:45 -0800

-----Original Message-----
  From: [email-masked] [mailto:[email-masked]]On Behalf Of
Rahul Gulati
  Sent: Thursday, December 12, 2002 9:14 PM
  To: [email-masked]
  Cc: Jonathan Rosenberg; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]
  Subject: [midcom] Question on Session Descriptors!

  Hi, All,

  1)
  When is this session created?
  Since INVITE hasn't been received at the Private SIP phone and we are
querying for the session descriptor which has already been created it wud be
beneficial if the above  point could be explained?

  [SURESH] The query is for the Ea to Pa SIP session descriptor.

  2)

  [SURESH] Section 7.0 provides all the explanation necessary for the
follow-on
  subsections.

  Best Regards'
  Rahul

  cheers,
  suresh